<div class="container">
    <div class="row mt-3">
        <div class="col-12 titulo">
            <h1 class="text-center text-dark">C.R.U.D.</h1>
        </div>
        <div class="col-12 iconos d-flex justify-items-center justify-content-center mt-4">
            <i class="fa-brands fa-angular mx-3" style="color: #da1212;"></i>
            <i class="fa-brands fa-bootstrap mx-3" style="color: #750bcb;"></i>
            <img src="../../../assets/img/ts-logo-128.png" alt="" class="mx-3">
            <img src="../../../assets/img/spring-boot.png" alt="" class="mx-3">
            <img src="../../../assets/img/sql_server.webp" alt="" class="mx-3">
        </div>
        <div class="col mt-4 tabla">
            <div class="card">
                <div class="card-body">
                    <h2 class="card-title text-center">Personas</h2>
                    <button type="button" class="btn btn-outline-primary btn-lg my-3" 
                        data-toggle="modal" data-target="#modalPersona" (click)="nuevaPersona()"
                    >
                        <i class="fa fa-plus"><span id="btnAgregar" class="ml-2">Agregar Persona</span></i>                                
                    </button>
                    <table class="table">
                        <thead>
                          <tr>
                            <th>#</th>
                            <th>Nombre</th>
                            <th>Apellido paterno</th>
                            <th>Apellido materno</th>
                            <th>Telefono</th>
                            <th>Opciones</th>
                          </tr>
                        </thead>
                        <tbody>
                          <tr *ngFor="let persona of listaPersonas">
                            <th scope="row">{{persona.id}}</th>
                            <td scope="row">{{persona.nombre}}</td>
                            <td scope="row">{{persona.primer_apellido}}</td>
                            <td scope="row">{{persona.segundo_apellido}}</td>
                            <td scope="row">{{persona.telefono}}</td>
                            <td class="d-flex">
                                <button class="btn btn-info mr-2" 
                                    data-toggle="modal" data-target="#modalPersona" (click)="visualizarPersona(persona)">
                                    <i class="fa fa-eye"></i>
                                </button>
                                <button class="btn btn-warning text-white mr-2"
                                    data-toggle="modal" data-target="#modalPersona" (click)="seleccionarPersona(persona)">
                                    <i class="fa-solid fa-pen"></i>                               
                                </button>
                                <button class="btn btn-danger text-white mr-2" (click)="borrarPersona(persona.id)">
                                    <i class="fa-solid fa-xmark"></i>                               
                                </button>
                            </td>
                          </tr>
                        </tbody>
                      </table>
                </div>
            </div>
        </div>
    </div>

    <div class="row">
            <!-- Modal -->
            <div class="modal fade" id="modalPersona" data-backdrop="static" 
                data-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true"
            >
                <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                    <h5 *ngIf="esVisualizar && !esActualizar" class="modal-title" id="staticBackdropLabel">Ver Información de Persona</h5>
                    <h5 *ngIf="!esActualizar && !esVisualizar" class="modal-title" id="staticBackdropLabel" >Agregar Persona</h5>
                    <h5 *ngIf="esActualizar && !esVisualizar" class="modal-title" id="staticBackdropLabel">Modificar Persona</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close" (click)="nuevaPersona()">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    </div>
                    <div class="modal-body">
                        <!--(ngSubmit)="agregarPersona()" -->
                        <form [formGroup]="formPersonas">
                            <label for="id" class="form-label">Id</label>
                            <input type="number" class="form-control" name="id" id="id" 
                                #id formControlName="id" [readonly]="true"
                            >
                            <label for="nombre" class="form-label">Nombre *</label>
                            <input type="text" class="form-control" name="nombre" id="nombre" 
                                #nombre formControlName="nombre" [readonly]="esVisualizar"
                            >
                            <label for="primer_apellido" class="form-label">Apellido Paterno *</label>
                            <input type="text" class="form-control" name="primer_apellido" id="primer_apellido" 
                                #primer_apellido formControlName="primer_apellido" [readonly]="esVisualizar"
                            >
                            <label for="segundo_apellido" class="form-label">Apellido Materno *</label>
                            <input type="text" class="form-control" name="segundo_apellido" id="segundo_apellido" 
                                #segundo_apellido formControlName="segundo_apellido" [readonly]="esVisualizar"
                            >
                            <label for="telefono" class="form-label">Telefono</label>
                            <input type="text" name="telefono" id="telefono" class="form-control" 
                                #telefono formControlName="telefono" [readonly]="esVisualizar"
                            >
                            <label for="estatus">Estatus</label>
                            <input type="text" class="form-control" name="estatus" id="estatus" 
                                #estatus placeholder="A = Activo ó I = Inactivo" formControlName="estatus" [readonly]="esVisualizar"
                            >
                            <label for="fechaIns">Fecha de Inscripcion</label>
                            <input type="date" name="fechaIns" id="fechaIns" class="form-control" 
                                #fechaIns formControlName="fechaIns" [readonly]="esVisualizar"
                            >
                            <label for="fechaUpd">Fecha de Actualizacion</label>
                            <input type="date" name="fechaUpd" id="fechaUpd" class="form-control" 
                                #fechaUpd formControlName="fechaUpd" [readonly]="esVisualizar"
                            >
                        </form>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-danger" data-dismiss="modal">Cancelar</button>
                        <button type="button" *ngIf="!esActualizar && !esVisualizar" class="btn btn-success" (click)="agregarUsuario()">Agregar</button>
                        <button type="button" *ngIf="!esActualizar && esVisualizar" class="btn btn-primary" data-dismiss="modal">Aceptar</button>
                        <button type="button" *ngIf="esActualizar && !esVisualizar" class="btn btn-warning" (click)="editarPersona()">Actualizar</button> 
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
